# dkim_header()

[back to index]

SYNOPSIS |
    #include <dkim.h>
    DKIM_STAT dkim_header(
    	DKIM *dkim,
    	char *header,
    	size_t len)
    );
Handle a message header field.
DESCRIPTION |
Called When | `dkim_header()` is called zero or more times between `dkim_sign()` or `dkim_verify()` and `dkim_eoh()`, once per message header field.
ARGUMENTS |
Argument | Description
--- | ---
dkim | Per-message DKIM handle.
header | The header field being input, including its name, value and separating colon (":") character.
len | Number of bytes to read from `header`.
NOTES | The value of `header` should not contain a trailing CRLF as this will be added by the canonicalization code. However, a CRLF may appear elsewhere in the value if, for example, the header field is meant to be wrapped. A header field whose name includes a semi-colon cannot be used as it will produce a syntactically invalid signature. Such header fields cause this function to return `DKIM_STAT_SYNTAX`.

Copyright (c) 2005-2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009-2011, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.